Bug 660591 - neighbour update causes an Oops when using tunnel device [rhel-6.0.z]
Summary: neighbour update causes an Oops when using tunnel device [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 658518
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-07 08:34 UTC by RHEL Product and Program Management
Modified: 2013-01-11 03:38 UTC (History)
12 users (show)

Fixed In Version: kernel-2.6.32-71.12.1.el6
Doc Type: Bug Fix
Doc Text:
When configuring an SIT (Simple Internet Transition) tunnel while a remote address is configured, kernel panic occurred, caused by an execution of a NULL header_ops pointer in the neigh_update_hhs() function. With this update, a check is introduced that makes sure the header_ops pointer is not of the value NULL, thus, kernel panic no longer occurs.
Clone Of:
Environment:
Last Closed: 2011-01-11 19:47:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0007 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-11 19:44:55 UTC

Description RHEL Product and Program Management 2010-12-07 08:34:59 UTC
This bug has been copied from bug #658518 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 3 Frantisek Hrbata 2010-12-08 05:26:41 UTC
in 2.6.32-71.12.1.el6

Comment 7 errata-xmlrpc 2011-01-11 19:47:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0007.html

Comment 8 Martin Prpič 2011-01-12 12:55:52 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When configuring an SIT (Simple Internet Transition) tunnel while a remote address is configured, kernel panic occurred, caused by an execution of a NULL header_ops pointer in the neigh_update_hhs() function. With this update, a check is introduced that makes sure the header_ops pointer is not of the value NULL, thus, kernel panic no longer occurs.


Note You need to log in before you can comment on or make changes to this bug.